## ros-humble-statistics-msgs 1.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(statistics_msgs)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# Find dependencies
find_package(ament_cmake REQUIRED)
find_package(builtin_interfaces REQUIRED)
find_package(rosidl_default_generators REQUIRED)

# Generate added messages with dependencies listed here
rosidl_generate_interfaces(${PROJECT_NAME}
  "msg/MetricsMessage.msg"
  "msg/StatisticDataPoint.msg"
  "msg/StatisticDataType.msg"
  DEPENDENCIES builtin_interfaces
)

ament_export_dependencies(rosidl_default_runtime)

ament_package()

=== debian/changelog ===
ros-humble-statistics-msgs (1.2.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-statistics-msgs (1.2.0-1bookworm) bookworm; urgency=high

  * Update maintainers to Chris Lalancette (#130 <https://github.com/ros2/rcl_interfaces/issues/130>)
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-statistics-msgs (1.1.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 05 Aug 2021 16:00:00 -0000

ros-humble-statistics-msgs (1.0.3-1bookworm) bookworm; urgency=high

  * Updating Quality Declaration (#120 <https://github.com/ros2/rcl_interfaces/issues/120>)
  * Contributors: shonigmann

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-statistics-msgs (1.0.2-1bookworm) bookworm; urgency=high

  * Update quality declaration to QL 1. (#116 <https://github.com/ros2/rcl_interfaces/issues/116>)
  * Update package maintainers. (#112 <https://github.com/ros2/rcl_interfaces/issues/112>)
  * Contributors: Chris Lalancette, Michel Hidalgo, Stephen Brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 21 Feb 2021 16:00:00 -0000

ros-humble-statistics-msgs (1.0.1-1bookworm) bookworm; urgency=high

  * Increase Quality level of packages to 3 (#108 <https://github.com/ros2/rcl_interfaces/issues/108>)
  * Add Security Vulnerability Policy pointing to REP-2006. (#106 <https://github.com/ros2/rcl_interfaces/issues/106>)
  * Updating QD to reflect package versions (#107 <https://github.com/ros2/rcl_interfaces/issues/107>)
  * Contributors: Chris Lalancette, brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 28 Jun 2020 16:00:00 -0000

ros-humble-statistics-msgs (1.0.0-1bookworm) bookworm; urgency=high

  * Add quality declaration for statistics_msgs (#102 <https://github.com/ros2/rcl_interfaces/issues/102>)
  * Contributors: brawner

 -- Chris Lalancette <clalancette@openrobotics.org>  Mon, 25 May 2020 16:00:00 -0000

ros-humble-statistics-msgs (0.9.0-1bookworm) bookworm; urgency=high

  * Add new messages for topic statistics (#98 <https://github.com/ros2/rcl_interfaces/issues/98>)
  * Contributors: Prajakta Gokhale

 -- Chris Lalancette <clalancette@openrobotics.org>  Fri, 24 Apr 2020 16:00:00 -0000

ros-humble-statistics-msgs (0.8.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 25 Sep 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.7.4-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 28 May 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.7.3-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sun, 19 May 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.7.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Tue, 07 May 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.7.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 25 Apr 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.7.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 13 Apr 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.6.2-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 10 Jan 2019 16:00:00 -0000

ros-humble-statistics-msgs (0.6.1-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Wed, 05 Dec 2018 16:00:00 -0000

ros-humble-statistics-msgs (0.6.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 15 Nov 2018 16:00:00 -0000

ros-humble-statistics-msgs (0.5.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Sat, 23 Jun 2018 16:00:00 -0000

ros-humble-statistics-msgs (0.4.0-1bookworm) bookworm; urgency=high



 -- Chris Lalancette <clalancette@openrobotics.org>  Thu, 07 Dec 2017 16:00:00 -0000

=== debian/control ===
Source: ros-humble-statistics-msgs
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-lint-common <!nocheck>, ros-humble-builtin-interfaces, ros-humble-rosidl-default-generators, ros-humble-ros-workspace, ros-humble-rosidl-typesupport-fastrtps-c, ros-humble-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-statistics-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-builtin-interfaces, ros-humble-rosidl-default-runtime, ros-humble-ros-workspace
Description: Message definitions for reporting statistics for topics and system resources.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-statistics-msgs//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-statistics-msgs//opt/ros/humble/opt/statistics_msgs/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
